PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
viv_dc_layer Struct Reference

## Data Fields
viv_dc_buffer | buffer
gctBOOL | scale_enable
viv_dc_color | colorkey
viv_dc_color | colorkey_high
viv_dc_color | clear_color
gctBOOL | clear_color_enable
gctBOOL | transparency
viv_layer_alpha_mode | alpha_mode
gctBOOL | blend_enable
viv_porter_duff_mode | blend_mode
gctUINT32 | pos_x
gctUINT32 | pos_y
gctUINT32 | width
gctUINT32 | height
gctUINT32 | watermark
viv_csc_mode | y2r_mode
gctBOOL | y2r_clamp
gctINT | y2r_coef [YUV2RGB_LR_COEF_NUM]
gctBOOL | y2r_dirty
gctBOOL | r2r_enable
gctUINT | r2r_coef [RGB2RGB_COEF_NUM]
gctBOOL | r2r_dirty
gctUINT8 | zorder
viv_display | display_id
gctBOOL | layer_enable

## Field Documentation

## ◆ buffer

viv_dc_buffer viv_dc_layer::buffer

## ◆ scale_enable

gctBOOL viv_dc_layer::scale_enable

## ◆ colorkey

viv_dc_color viv_dc_layer::colorkey

## ◆ colorkey_high

viv_dc_color viv_dc_layer::colorkey_high

## ◆ clear_color

viv_dc_color viv_dc_layer::clear_color

## ◆ clear_color_enable

gctBOOL viv_dc_layer::clear_color_enable

## ◆ transparency

gctBOOL viv_dc_layer::transparency

## ◆ alpha_mode

viv_layer_alpha_mode viv_dc_layer::alpha_mode

## ◆ blend_enable

gctBOOL viv_dc_layer::blend_enable

## ◆ blend_mode

viv_porter_duff_mode viv_dc_layer::blend_mode

## ◆ pos_x

gctUINT32 viv_dc_layer::pos_x

## ◆ pos_y

gctUINT32 viv_dc_layer::pos_y

## ◆ width

gctUINT32 viv_dc_layer::width

## ◆ height

gctUINT32 viv_dc_layer::height

## ◆ watermark

gctUINT32 viv_dc_layer::watermark

## ◆ y2r_mode

viv_csc_mode viv_dc_layer::y2r_mode

## ◆ y2r_clamp

gctBOOL viv_dc_layer::y2r_clamp

## ◆ y2r_coef

gctINT viv_dc_layer::y2r_coef[YUV2RGB_LR_COEF_NUM]

## ◆ y2r_dirty

gctBOOL viv_dc_layer::y2r_dirty

## ◆ r2r_enable

gctBOOL viv_dc_layer::r2r_enable

## ◆ r2r_coef

gctUINT viv_dc_layer::r2r_coef[RGB2RGB_COEF_NUM]

## ◆ r2r_dirty

gctBOOL viv_dc_layer::r2r_dirty

## ◆ zorder

gctUINT8 viv_dc_layer::zorder

## ◆ display_id

viv_display viv_dc_layer::display_id

## ◆ layer_enable

gctBOOL viv_dc_layer::layer_enable